For the complete documentation index, see llms.txt. This page is also available as Markdown.

Updates Template

Şablonu günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
IDinteger · int32Optional
Namestring · nullableOptional
IsActiveboolean · nullableOptional
IsDefaultboolean · nullableOptional
Responses
200

Şablonu günceller.

application/json
booleanOptional
put/Templates
PUT /ebill/Templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 55

{
  "ID": 1,
  "Name": "text",
  "IsActive": true,
  "IsDefault": true
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/ebill/Templates", Method.Put);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{
"ID": 0,
"Name": "string",
"IsActive": true,
"IsDefault": true,
"Base64String": "string"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/ebill/Templates',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "Name": "string",
  "IsActive": true,
  "IsDefault": true,
  "Base64String": "string"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated